Subject: Why do DLLs require executable permission with ntsec?
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Date: Tue, 13 Mar 2001 01:05:53 -0500

In trying to track down a Cygwin Python problem related to ntsec,
I first realized that DLLs seem to require executable permission when
ntsec is enabled.  Otherwise, the application which is dependent on the
DLL will fail to start with the following error dialog:

foo.exe - Application Error

The application failed to initialize properly (0xc0000022). Click on OK to
terminate the application.

Is this behavior by design?  I naively assumed that Windows would be
loading the DLL so Cygwin permissions would be irrelevant.  Can someone
please set me straight?

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple